POST /twitter/follow

Follow a user (X allows API follows only with Enterprise access since 2026-04-20) (Zernio path; the account in the body). LIVE and public (except bookmarks); queued for approval (202) while approval applies

POST
/twitter/follow

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

X account id

targetUserId*string

Response Body

{accountId, action, undo, target, reposted | liked | bookmarked | following}

application/json
  1. response
accountId?string
action?string
Value in"repost""like""bookmark""follow"
undo?boolean
target?string
reposted?boolean
liked?boolean
bookmarked?boolean
following?boolean
pendingFollow?boolean
Example Request
curl -X POST 'https://example.com/api/v1/twitter/follow' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "targetUserId": "string"}'
Example Response
{  "accountId": "string",  "action": "repost",  "undo": true,  "target": "string",  "reposted": true,  "liked": true,  "bookmarked": true,  "following": true,  "pendingFollow": true}